package com.dev.swms.server.model.shipping;

import org.apache.commons.lang.builder.EqualsBuilder;
import org.apache.commons.lang.builder.HashCodeBuilder;

import com.dev.energy.server.model.Entity;

public class BOLDetailLog extends Entity{
	
	/** BOLDetail */
	private BOLDetail bolDetail;	
	/** 签收数量 */
	private double singQuantity;
	/** 货损数量 */
	private double badQuantity;
	/** 货差数量 */
	private double deltaQuantity;
	/** 签收说明 */
	private String remark;
	
	
	
	public double getBadQuantity() {
		return badQuantity;
	}

	public void setBadQuantity(double badQuantity) {
		this.badQuantity = badQuantity;
	}

	public BOLDetail getBolDetail() {
		return bolDetail;
	}

	public void setBolDetail(BOLDetail bolDetail) {
		this.bolDetail = bolDetail;
	}

	public double getDeltaQuantity() {
		return deltaQuantity;
	}

	public void setDeltaQuantity(double deltaQuantity) {
		this.deltaQuantity = deltaQuantity;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public double getSingQuantity() {
		return singQuantity;
	}

	public void setSingQuantity(double singQuantity) {
		this.singQuantity = singQuantity;
	}

	public boolean equals(final Object other) {
		if (!(other instanceof BOLDetailLog))
			return false;
		BOLDetailLog castOther = (BOLDetailLog) other;
		return new EqualsBuilder().append(bolDetail, castOther.getBolDetail()).append(singQuantity, castOther.getSingQuantity())
				.append(badQuantity, castOther.getBadQuantity()).append(deltaQuantity, castOther.getDeltaQuantity()).isEquals();
	}

	public int hashCode() {
		return new HashCodeBuilder().append(bolDetail).append(singQuantity).append(badQuantity).append(deltaQuantity).toHashCode();
	}
}